GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.ShopReturnService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
long | getNumberOfLabels ()
void | setNumberOfLabels (long value)

## Protected Attributes
String | serviceName
long | numberOfLabels

## Detailed Description

Shop return service attributes

Java class for ShopReturnService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ShopReturnService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="NumberOfLabels" type="{http://fpcs.gls-group.eu/v1/Common}NumberOfLabels"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 40 of file gls_group/fpcs/v1/common/ShopReturnService.java.

## Member Function Documentation

## ◆ getNumberOfLabels()

long eu.gls_group.fpcs.v1.common.ShopReturnService.getNumberOfLabels | ( |  | ) |

Gets the value of the numberOfLabels property.

Definition at line 76 of file gls_group/fpcs/v1/common/ShopReturnService.java.

## ◆ getServiceName()

String eu.gls_group.fpcs.v1.common.ShopReturnService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 56 of file gls_group/fpcs/v1/common/ShopReturnService.java.

## ◆ setNumberOfLabels()

void eu.gls_group.fpcs.v1.common.ShopReturnService.setNumberOfLabels | ( | long | value | ) |

Sets the value of the numberOfLabels property.

Definition at line 84 of file gls_group/fpcs/v1/common/ShopReturnService.java.

## ◆ setServiceName()

void eu.gls_group.fpcs.v1.common.ShopReturnService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 68 of file gls_group/fpcs/v1/common/ShopReturnService.java.

## Member Data Documentation

## ◆ numberOfLabels

long eu.gls_group.fpcs.v1.common.ShopReturnService.numberOfLabels
| protected

Definition at line 46 of file gls_group/fpcs/v1/common/ShopReturnService.java.

## ◆ serviceName

String eu.gls_group.fpcs.v1.common.ShopReturnService.serviceName
| protected

Definition at line 43 of file gls_group/fpcs/v1/common/ShopReturnService.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/common/ShopReturnService.java